#224 THE 3.3 rc1 gc macro fails to function properly

Next Release
pending-fixed
Mark Hessling
None
5
2013-07-02
2011-09-11
George R. Goffe
No

Hi,

I frequently edit, at times, rather large numbers of files simultaneously. To facilitate this, I have written a macro named gc (global command). This command takes it's operands passed and executes them on ALL the files in the edit ring. This process fails for some commands executed by the gc macro.

Related

Bugs: #224

Discussion

  • tar.gz file containing gc.the and profile.the

     
    Attachments
  • LesK
    LesK
    2011-09-11

    What commands fail?

     
  • Hi,

    I misspoke when I said commands fail.

    I tend to write what I call "singular" macros that I use to perform various editing tasks. I use the gc macro to execute these macros on all files in the edit ring. I frequently make shorthand macros which use gc and execute these "singular" macros. Most of these "plural" macros fail to execute. When I add "trace i" to the "singular" forms of these macros, and then execute the "plural" (shorthand) forms, there is NO trace output.

    George...

     
  • Mark Hessling
    Mark Hessling
    2013-06-19

    • status: open --> pending-fixed
    • assigned_to: Mark Hessling
    • Group: --> v1.0 (example)
     
  • Mark Hessling
    Mark Hessling
    2013-06-19

    Fixed in v3.3RC2

     
  • Mark Hessling
    Mark Hessling
    2013-06-19

     
  • Mark Hessling
    Mark Hessling
    2013-06-21

    • Group: v1.0 (example) --> Next Release
     
  • Using the gc macro with other macros who may have a blank after their names is still failing.

    This is a dup of bug 252.

     
  • Mark Hessling
    Mark Hessling
    2013-07-02

    Hi George,

    Are you only testing the bugs you raised rather than those marked as
    Pending-fixed? If the bug doesn't have a status of Pending-fixed then
    it is unlikely that the bug has been fixed, although you seem to have
    found one that was fixed and I forgot to document.

    Cheers, Mark

    On 02/07/13 11:12, George R. Goffe wrote:

    Using the gc macro with other macros who may have a blank after their
    names is still failing.

    This is a dup of bug 252.


    *[bugs:#224] http://sourceforge.net/p/hessling-editor/bugs/224/ THE
    3.3 rc1 gc macro fails to function properly *

    Status: pending-fixed
    Created: Sun Sep 11, 2011 02:45 AM UTC by George R. Goffe
    Last Updated: Fri Jun 21, 2013 10:43 PM UTC
    Owner: Mark Hessling

    Hi,

    I frequently edit, at times, rather large numbers of files
    simultaneously. To facilitate this, I have written a macro named gc
    (global command). This command takes it's operands passed and executes
    them on ALL the files in the edit ring. This process fails for some
    commands executed by the gc macro.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/hessling-editor/bugs/224/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    --

    • Mark Hessling, mark@rexx.org http://www.rexx.org/
    • Author of THE, a Free XEDIT/KEDIT editor and, Rexx/SQL, Rexx/CURL, etc.
    • Maintainer of Regina Rexx interpreter
    • Use Rexx? join the Rexx Language Association: http://www.rexxla.org/

     

    Related

    Bugs: #224